use std::env;
use std::io;


pub static ENV_MPS_HOME: &str = "MPS_HOME";

pub static PATH_STORAGE: &str = "storage"; // should be under git
pub static PATH_DB: &str = "db.mps";


pub fn get_storage_path() -> io::Result<String> {
    let mps_home = env::var(ENV_MPS_HOME).map_err(|err| {
        io::Error::new(io::ErrorKind::NotFound, format!("{} error: {}", ENV_MPS_HOME, err))
    })?;
    let result = format!("{}/{}", mps_home, PATH_STORAGE);
    Ok(result)
}

pub fn get_db_path() -> io::Result<String> {
    let st = get_storage_path()?;
    let result = format!("{}/{}", st, PATH_DB);
    Ok(result)
}

